Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.ast
[Java] Interface Variable

    public interface Variable

interface to mark a AstNode as Variable. Typically these are VariableExpression, FieldNode, PropertyNode and Parameter

Authors:
  Jochen Theodorou

Method Summary
`Expression` | `getInitialExpression()` expression used to initialize the variable or null of there is no initialization.
`String` | `getName()` the name of the variable
`ClassNode` | `getOriginType()` the type before wrapping primitives type of the variable
`ClassNode` | `getType()` the type of the variable
`boolean` | `hasInitialExpression()` returns true if there is an initialization expression
`boolean` | `isClosureSharedVariable()`
`boolean` | `isDynamicTyped()`
`boolean` | `isInStaticContext()` returns true if this variable is used in a static context.
`void` | `setClosureSharedVariable(boolean inClosure)`

Method Detail

### getInitialExpression

    public Expression getInitialExpression()

  expression used to initialize the variable or null of there is no initialization.

### getName

    public String getName()

  the name of the variable

### getOriginType

    public ClassNode getOriginType()

  the type before wrapping primitives type of the variable

### getType

    public ClassNode getType()

  the type of the variable

### hasInitialExpression

    public boolean hasInitialExpression()

  returns true if there is an initialization expression

### isClosureSharedVariable

    public boolean isClosureSharedVariable()

### isDynamicTyped

    public boolean isDynamicTyped()

### isInStaticContext

    public boolean isInStaticContext()

  returns true if this variable is used in a static context. A static context is any static initializer block, when this variable is declared as static or when this variable is used in a static method

### setClosureSharedVariable

    public void setClosureSharedVariable(boolean inClosure)

Copyright © 2003-2010 The Codehaus. All rights reserved.